<template>
    <DataTable
        :columns="columns"
        :ajax="props.apiUrl"
        class="display"
        :options="options"
    />
</template>

<script setup>
import DataTable from 'datatables.net-vue3';

const columns = [
    {data: 'id'},
    {data: 'name'}
]

const props = defineProps({
    apiUrl: String
})

const options = {
    serverSide: true
}
</script>

<style>
@import 'datatables.net-dt';
</style>
